Subject: Re: [Bitcoin-development] Change to multiple executables?

From: Gavin Andresen <[email-masked]>
Date: Wed, 10 Aug 2011 14:41:51 -0400

> To be honest I feel a bit like every change that I (and I've also heard this
> from others) propose is shot down, no matter how well formulated.  This is
> actively discouraging developers from joining this project.

Well, to be honest I don't think more developers adding new features
are needed right now-- I think the project's critical needs are more
people testing and helping to fix bugs and scalability issues.

In this particular case, I said I was mildly against it-- if you want
me to switch to supporting it, then reassure me you're willing to do
ALL the work to make it happen.  Send me a list of wiki pages you'll
edit to document the change and tell me that you'll be around to help
people rewrite their backup scripts.

> I think it would be better to switch to two branches, like most other open
> source projects I've worked with.

I don't see how dividing efforts between a 'bug fix' and 'development'
branch will help fix the project's critical needs. If we did, I think
there would be less pressure to help with the boring bug-fixing and
testing of the bug-fix branch, which I think would be bad.

-- 
--
Gavin Andresen